<!DOCTYPE HTML>
<html>
  <head>
    <meta charset="utf-8"/>
    <title>Admin Dashboard</title>
    <link rel="stylesheet" href="/adfe/styles/bootstrap.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/adfe.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/app.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/notification.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/icons.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/list.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/tooltip.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/modal.css" type="text/css">
    <link rel="stylesheet" href="/adfe/styles/ticket.css" type="text/css">
    <script src="/adfe/js/vendor/jquery.js"></script>
    <script src="/adfe/js/vendor/popper.js"></script>
    <script src="/adfe/js/vendor/moment.js"></script>
    <script src="/adfe/js/vendor/Chart.js"></script>
    <script src="/adfe/js/site/pages/dashboard.js" type="module"></script>
  </head>
  <body>
    <div>
      <div class="chart-container" style="position: relative; height:150px; width:100%">
        <canvas id="myChart"></canvas>
      </div>
      <div id="issues-container">
      </div>
    </div>
    <script src="/adfe/js/vendor/bootstrap.js"></script>
    <script>

      var ctx = document.getElementById("myChart");
var myChart = new Chart(ctx, {
    type: 'line',
    data: {
      datasets: [{
        label: "down / min",
        data: [
          {x: 1541174307000, y: 5},
          {x: 1542274317000, y: 10}, 
          {x: 1543374327000, y: 15}, 
          {x: 1544474337000, y: 20}, 
          {x: 1545574347000, y: 25}, 
          {x: 1546674357000, y: 30}, 
          {x: 1547774367000, y: 35}, 
          {x: 1548874377000, y: 40}, 
        ],
        fill: false,
        borderDash: [6, 1],
      }, {
        label: "up / min",
        data: [
          {x: 1541174307000, y: 5},
          {x: 1542274317000, y: 10}, 
          {x: 1543374327000, y: 15}, 
          {x: 1544474337000, y: 20}, 
          {x: 1545574347000, y: 25}, 
          {x: 1546674357000, y: 30}, 
          {x: 1547774367000, y: 35}, 
          {x: 1548874377000, y: 40}, 
        ] 
      }]
    },
    options: {
      scales: {
          yAxes: [{
            id: 'y-primary',
            type: 'linear'
          }],
          xAxes: [{
            id: 'time-axis',
            type: 'time',
            time: {
              isoWeekday: true,
              min: 1441174307000,
              max: 1641174307000,
              displayFormats: {
                second: "HH:mm:ss",
                minute: "HH:mm",
                hour: "HH",
                day: "MMM D",
                week: "DD.MM.YYYY"
              },
              tooltipFormat: "DD.MM.YYYY HH:mm:ss"
            }
          }]
      },
      tooltips: {
        mode: "x",
        intersect: false,
        backgroundColor: "#fff",
        titleFontColor: "#111",
        bodyFontColor: "#111",
        footerFontColor: "#111",
        caretSize: 0,
        cornerRadius: 2,
        borderWidth: 1,
        borderColor: "#c7d7de",
        caretPadding: 8
      },
      elements: {
        point: {
          backgroundColor: "#666666",
          borderWidth: 0,
          radius: 0,
          hoverRadius: 4,
          hitRadius: 16
        },
        line: {
          borderColor: "#666666",
          borderWidth: 1.5,
          backgroundColor: "#88888888"
        }
      },
      responsive: true,
      maintainAspectRatio: false
    }
  });

    </script>
  </body>
</html>